summaryrefslogtreecommitdiff
path: root/indra/viewer_components/updater/scripts/linux/update_install
diff options
context:
space:
mode:
Diffstat (limited to 'indra/viewer_components/updater/scripts/linux/update_install')
-rw-r--r--indra/viewer_components/updater/scripts/linux/update_install10
1 files changed, 10 insertions, 0 deletions
diff --git a/indra/viewer_components/updater/scripts/linux/update_install b/indra/viewer_components/updater/scripts/linux/update_install
new file mode 100644
index 0000000000..88451340ec
--- /dev/null
+++ b/indra/viewer_components/updater/scripts/linux/update_install
@@ -0,0 +1,10 @@
+#! /bin/bash
+INSTALL_DIR=$(cd "$(dirname "$0")/.." ; pwd)
+export LD_LIBRARY_PATH="$INSTALL_DIR/lib"
+bin/linux-updater.bin --file "$1" --dest "$INSTALL_DIR" --name "Second Life Viewer 2" --stringsdir "$INSTALL_DIR/skins/default/xui/en" --stringsfile "strings.xml"
+
+if [ $? -ne 0 ]
+ then echo $3 >> "$2"
+fi
+
+rm -f "$1"